Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCP_Channel_Out Class Reference

The RTCP_Channel_Out class represents a single outgoing data channel, or stream. It keeps track of statistics such as number of packets sent and number of bytes sent. More...

`#include <RTCP_Channel.h>`

List of all members.

## Public Methods
| RTCP_Channel_Out (void)
| Constructor. More...
| ~RTCP_Channel_Out (void)
| Destructor. More...
void | updateStatistics (RTP_Packet *pkt)
| Update the channel statistics each time an RTP packet is sent. More...
ACE_UINT32 | timestamp (void)
| Returns the timestamp of the last RTP packet sent. More...
ACE_UINT32 | packets_sent (void)
| Returns the number of packets sent. More...
ACE_UINT32 | octets_sent (void)
| Returns the number of octets sent. More...
void | cname (const char *cname)
| Sets the canonical name of the source. More...
const char * | cname (void)
| Returns the canonical name of the source. More...
char | active (void)
| Returns whether or not this source is active. More...
## Private Attributes
ACE_CString | cname_
| Holds the canonical name for this channel. More...
char | active_
| Flag to indicate whether or not this channel is active. More...
unsigned int | seq_num_
| The sequence number of the last RTP packet sent. More...
unsigned int | timestamp_
| The timestamp of the last RTP packet sent. More...
unsigned int | timestamp_offset_
| The initial offset of the timestamp. More...
unsigned int | packets_sent_
| The total number of packets sent. More...
unsigned int | octets_sent_
| The total numbef of octets sent. More...

## Detailed Description

The RTCP_Channel_Out class represents a single outgoing data channel, or stream. It keeps track of statistics such as number of packets sent and number of bytes sent.

## Constructor & Destructor Documentation

RTCP_Channel_Out::RTCP_Channel_Out | ( | void |  | ) |

| Constructor.

RTCP_Channel_Out::~RTCP_Channel_Out | ( | void |  | ) |

| Destructor.

## Member Function Documentation

char RTCP_Channel_Out::active | ( | void |  | ) |

| Returns whether or not this source is active.

const char* RTCP_Channel_Out::cname | ( | void |  | ) | `[inline]`

| Returns the canonical name of the source.

void RTCP_Channel_Out::cname | ( | const char * | cname | ) | `[inline]`

| Sets the canonical name of the source.

ACE_UINT32 RTCP_Channel_Out::octets_sent | ( | void |  | ) |

| Returns the number of octets sent.

ACE_UINT32 RTCP_Channel_Out::packets_sent | ( | void |  | ) |

| Returns the number of packets sent.

ACE_UINT32 RTCP_Channel_Out::timestamp | ( | void |  | ) |

| Returns the timestamp of the last RTP packet sent.

void RTCP_Channel_Out::updateStatistics | ( | RTP_Packet * | data_packet | ) |

| Update the channel statistics each time an RTP packet is sent.

## Member Data Documentation

char RTCP_Channel_Out::active_`[private]`

| Flag to indicate whether or not this channel is active.

ACE_CString RTCP_Channel_Out::cname_`[private]`

| Holds the canonical name for this channel.

unsigned int RTCP_Channel_Out::octets_sent_`[private]`

| The total numbef of octets sent.

unsigned int RTCP_Channel_Out::packets_sent_`[private]`

| The total number of packets sent.

unsigned int RTCP_Channel_Out::seq_num_`[private]`

| The sequence number of the last RTP packet sent.

unsigned int RTCP_Channel_Out::timestamp_`[private]`

| The timestamp of the last RTP packet sent.

unsigned int RTCP_Channel_Out::timestamp_offset_`[private]`

| The initial offset of the timestamp.

The documentation for this class was generated from the following files:

- RTCP_Channel.h
- RTCP_Channel.cpp